﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace WebApplication.Controllers
{
    public class SyncController : Controller
    {
        // GET: Sync
        public ActionResult Index()
        {
            ViewBag.datasource = new ScheduleData().GetRoomData();

            List<RoomData> rooms = new List<RoomData>();
            rooms.Add(new RoomData { name = "Single 1", id = 1, color = "#ea7a57", capacity = 1, type = "Simple" });
            rooms.Add(new RoomData { name = "Single 2", id = 2, color = "#7fa900", capacity = 1, type = "Simple" });
            rooms.Add(new RoomData { name = "Doble 1", id = 6, color = "#00bdae", capacity = 2, type = "Simple" });
            rooms.Add(new RoomData { name = "Doble 2", id = 7, color = "#865fcf", capacity = 2, type = "Premium" });
            rooms.Add(new RoomData { name = "Triple 1", id = 9, color = "#df5286", capacity = 3, type = "Simple" });
            rooms.Add(new RoomData { name = "Triple 2", id = 10, color = "#710193", capacity = 3, type = "Premium" });
            ViewBag.RoomDatas = rooms;

            string[] resources = new string[] { "MeetingRoom" };
            ViewBag.ResourceNames = resources;

            return View();
        }

        public class ScheduleData
        {
            public List<RoomData> GetRoomData()
            {
                List<RoomData> roomData = new List<RoomData>();
                roomData.Add(new RoomData
                {
                    id = 1,
                    Subject = "George",
                    Description = "Meeting to discuss business goal of 2018.",
                    StartTime = new DateTime(2019, 4, 2, 9, 0, 0),
                    EndTime = new DateTime(2019, 4, 7, 11, 0, 0),
                    RoomId = 1,
                });
                roomData.Add(new RoomData
                {
                    id = 2,
                    Subject = "Paul",
                    Description = "Knowledge sharing on JSP topics.",
                    StartTime = new DateTime(2019, 3, 24, 15, 0, 0),
                    EndTime = new DateTime(2019, 3, 27, 17, 0, 0),
                    RoomId = 2
                });
                roomData.Add(new RoomData
                {
                    id = 3,
                    Subject = "John",
                    Description = "Planning tasks for sprint.",
                    StartTime = new DateTime(2019, 4, 8, 9, 0, 0),
                    EndTime = new DateTime(2019, 4, 18, 11, 0, 0),
                    RoomId = 6
                });
                roomData.Add(new RoomData
                {
                    id = 4,
                    Subject = "Peter",
                    Description = "Customer meeting to discuss features.",
                    StartTime = new DateTime(2019, 3, 25, 11, 0, 0),
                    EndTime = new DateTime(2019, 3, 29, 13, 0, 0),
                    RoomId = 7
                });
                roomData.Add(new RoomData
                {
                    id = 5,
                    Subject = "Mike",
                    Description = "Meeting to discuss support plan.",
                    StartTime = new DateTime(2019, 3, 28, 16, 0, 0),
                    EndTime = new DateTime(2019, 4, 5, 17, 0, 0),
                    RoomId = 9
                });
                return roomData;
            }
        }

        public class RoomData
        {
            public int id { get; set; }
            public string name { get; set; }
            public string Subject { get; set; }
            public string Location { get; set; }
            public string Description { get; set; }
            public DateTime StartTime { get; set; }
            public DateTime EndTime { get; set; }
            public int RoomId { get; set; }
            public bool IsBlock { get; set; }
            public string RecurrenceRule { get; set; }
            public string color { get; set; }
            public int capacity { get; set; }
            public string type { get; set; }
            public string statu { get; set; }
        }

    }
}